util.ui.persona

## Class PersonaInfo

- java.lang.Object
- - util.ui.persona.PersonaInfo

-     public final class PersonaInfo
      extends java.lang.Object

  A class that contains infos about a Persona.

  Since:
    3.1
  Author:
    René Mach

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) static java.lang.String` | `DEFAULT_ID`
    `(package private) static java.lang.String` | `RANDOM_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersonaInfo()`
    `PersonaInfo(boolean dummy)`
    `PersonaInfo(java.io.File settings)` Create a new persona info from the given settings file.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Color` | `getAccentColor()` Gets the accent color of this Persona.
    `java.lang.String` | `getDescription()` Gets the description of this Persona.
    `java.lang.String` | `getDetailURL()` Gets the detail url for this Persona.
    `java.awt.image.BufferedImage` | `getFooterImage()` Gets the footer image of this Persona.
    `java.awt.image.BufferedImage` | `getHeaderImage()` Gets the header image of this Persona.
    `javax.swing.ImageIcon` | `getIcon()` Gets the icon for this Persona.
    `java.lang.String` | `getId()` Gets the id of this Persona.
    `java.lang.String` | `getName()` Gets the name of this Persona.
    `java.awt.Color` | `getShadowColor()` Gets the shadow color of this Persona.
    `java.awt.Color` | `getTextColor()` Gets the text color of this Persona.
    `boolean` | `isEditable()` Gets if this Persona can be edited.
    `static boolean` | `isRandomPersona(PersonaInfo info)` Gets if the given Persona is the random Persona dummy.
    `boolean` | `isSelectedPersona()` Gets if this Persona is currently activated.
    `(package private) void` | `load()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_ID

          static final java.lang.String DEFAULT_ID

      See Also:
        Constant Field Values

    - #### RANDOM_ID

          static final java.lang.String RANDOM_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PersonaInfo

          PersonaInfo(boolean dummy)

    - #### PersonaInfo

          PersonaInfo()

    - #### PersonaInfo

          public PersonaInfo(java.io.File settings)
                      throws java.lang.IndexOutOfBoundsException

      Create a new persona info from the given settings file.

      Parameters:
        `settings` - The settings to read the info from.
      Throws:
        `java.lang.IndexOutOfBoundsException` - Thrown if something was wrong in the settings file.

  - ### Method Detail

    - #### load

          void load()
              throws java.lang.IndexOutOfBoundsException

      Throws:
        `java.lang.IndexOutOfBoundsException`

    - #### getName

          public java.lang.String getName()

      Gets the name of this Persona.

      Returns:
        The name of this Persona.

    - #### getDescription

          public java.lang.String getDescription()

      Gets the description of this Persona.

      Returns:
        The description of this Persona.

    - #### getDetailURL

          public java.lang.String getDetailURL()

      Gets the detail url for this Persona.

      Returns:
        The detail url for this Persona.

    - #### getTextColor

          public java.awt.Color getTextColor()

      Gets the text color of this Persona.

      Returns:
        The text color of this Persona.

    - #### getShadowColor

          public java.awt.Color getShadowColor()

      Gets the shadow color of this Persona.

      Returns:
        The shadow color of this Persona.

    - #### getAccentColor

          public java.awt.Color getAccentColor()

      Gets the accent color of this Persona.

      Returns:
        The accent color of this Persona.

    - #### getHeaderImage

          public java.awt.image.BufferedImage getHeaderImage()

      Gets the header image of this Persona.

      Returns:
        The header image of this Persona.

    - #### getFooterImage

          public java.awt.image.BufferedImage getFooterImage()

      Gets the footer image of this Persona.

      Returns:
        The footer image of this Persona.

    - #### getId

          public java.lang.String getId()

      Gets the id of this Persona.

      Returns:
        The id of this Persona.

    - #### isEditable

          public boolean isEditable()

      Gets if this Persona can be edited.
      Returns:
        If his persona can be edited.

    - #### getIcon

          public javax.swing.ImageIcon getIcon()

      Gets the icon for this Persona.

      Returns:
        The icon for this Persona if there is any or the default icon.

    - #### isSelectedPersona

          public boolean isSelectedPersona()

      Gets if this Persona is currently activated.

      Returns:
        If this persona is currently activated.

    - #### isRandomPersona

          public static boolean isRandomPersona(PersonaInfo info)

      Gets if the given Persona is the random Persona dummy.

      Parameters:
        `info` - The Persona to check.
      Returns:
        `true` if the given Persona is the random dummy.

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)